| Home | Libraries | People | FAQ | More

## Function template replace_nth

boost::algorithm::replace_nth — Replace nth algorithm.

## Synopsis

    template<typename SequenceT, typename Range1T, typename Range2T>
      void replace_nth(SequenceT & Input, const Range1T & Search, int Nth,
                       const Range2T & Format);

## Description

Replace an Nth (zero-indexed) match of the search string in the input with the format string. Input sequence is modified in-place.

Parameters:

`Format` | A substitute string
`Input` | An input string
`Nth` | An index of the match to be replaced. The index is 0-based. For negative N, matches are counted from the end of string.
`Search` | A substring to be searched for

| Copyright © 2002-2004 Pavol Droba